Foros del Web » Creando para Internet » CSS »

No funciona LESS en IE 8 o anteriores

Estas en el tema de No funciona LESS en IE 8 o anteriores en el foro de CSS en Foros del Web. Hola a todos, pues como dice el titulo, tengo problemas usando LESS en Internet explorer 8 o anteriores. Esto es lo que tengo como codigo. ...
  #1 (permalink)  
Antiguo 22/05/2014, 20:09
Avatar de thetwist3rtws  
Fecha de Ingreso: agosto-2011
Mensajes: 13
Antigüedad: 12 años, 9 meses
Puntos: 0
Pregunta No funciona LESS en IE 8 o anteriores

Hola a todos, pues como dice el titulo, tengo problemas usando LESS en Internet explorer 8 o anteriores.

Esto es lo que tengo como codigo.
Código HTML:
Ver original
  1. <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  2. <html xmlns="http://www.w3.org/1999/xhtml">
  3. <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  4. <title>Title</title>
  5.  <link rel="stylesheet/less" type="text/css" href="style.less">
  6. <script type="text/javascript" src="less-1.7.0.min.js"></script>
  7. </head>
  8.  
  9. a
  10. <h1>Prueba</h1><br>
  11. </body>
  12. </html>

Funciona el renderizado en todos los navegadores incluyendo IE 9, pero en el 8 o anteriores no logro hacerlo funcionar.
Leí que supuestamente se puede cargar cambiando la manera de como se llama el archivo LESS así:
<link rel="stylesheet/less" type="text/x-less" href="style.less">

Donde la diferencia es lo que esta en type que es "text/x-less" pero así tampoco logró cargarlo.

¿Hay alguna manera de hacerlo funcionar en IE 8?

Solo se me ocurre hacer un comentario especial en esas versiones de IE para que llame un CSS con lo mismo del archivo LESS pero espero no tener que usar esa manera.

Saludos
  #2 (permalink)  
Antiguo 22/05/2014, 21:07
Avatar de pzin
Moderata 😈
 
Fecha de Ingreso: julio-2002
Ubicación: Islas Canarias
Mensajes: 10.488
Antigüedad: 21 años, 10 meses
Puntos: 2114
Respuesta: No funciona LESS en IE 8 o anteriores

Aquí hay un comentario del autor de less.js: http://starikovs.com/2012/11/27/does...-ie-9-at-least

Cita:
IE9 is not officially supported – it may or may not work.
Es de suponer que no funcione en IE8.

Que digo yo... A mi personalmente me parece una burrada compilar mediante JavaScript. Tanto Sass, Less, Stylus y demás, tienen su microsistema en el entorno de desarrollo, no en producción. Que luego existan esas cosas, bueno... No quiere decir que sean lo mejor. Una opinión personal.

Si lo haces así, te olvidas de compatibilidades en ese sentido.

Etiquetas: anteriores, html, less
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 00:50.